-- Filename: LowerAnimalPrices.lua
-- Autore: vortex1988
-- Data: 13/11/2016
-- Script per aggiornare i prezzi degil animali in modo da renderli più realistici
-- Update 1.1.0: modificato il prezzo dei suini per rendere la vendita realistica e l'acquisto di scrofe realistico.

LowerAnimalPrices = {};

--
-- LowerAnimalPrices:aggiornamento
--
LowerAnimalPrices.modDirectory = g_currentModDirectory;

--
-- Registrazione eventi della mod
--
addModEventListener(LowerAnimalPrices);

--
-- LowerAnimalPrices: draw
--
function LowerAnimalPrices:draw()
end;

--
-- LowerAnimalPrices:tastiera e movimeno mouse 
--
function LowerAnimalPrices:keyEvent(unicode, sym, modifier, isDown)
end;

function LowerAnimalPrices:mouseEvent(posX, posY, isDown, isUp, button)
end;

function LowerAnimalPrices:update(dt)

	--Aggiornamento prezzo e attribute delle vacche
	if  g_currentMission.husbandries.cow.animalDesc.canBeBought then
		g_currentMission.husbandries.cow.animalDesc.price = 2500;
		g_currentMission.husbandries.cow.animalDesc.dailyUpkeep = 50;
		g_currentMission.husbandries.cow.animalDesc.canBeBought = true;
		g_currentMission.husbandries.cow.animalDesc.hasStatistics = true;
		g_currentMission.husbandries.cow.animalDesc.imageFilename = self.modDirectory .. "store/store_cow.png";
	end;
	
	--aggiornamento prezzo e attribute dei maiali
	if  g_currentMission.husbandries.pig.animalDesc.canBeBought then
		g_currentMission.husbandries.pig.animalDesc.price = 1600;
		g_currentMission.husbandries.pig.animalDesc.dailyUpkeep = 40;
		g_currentMission.husbandries.pig.animalDesc.canBeBought = true;
		g_currentMission.husbandries.pig.animalDesc.hasStatistics = true;
		g_currentMission.husbandries.pig.animalDesc.imageFilename = self.modDirectory .. "store/store_pig.png";
	end;
	
	--aggiornamento prezzo e atribute delle pecore
	if  g_currentMission.husbandries.sheep.animalDesc.canBeBought then
		g_currentMission.husbandries.sheep.animalDesc.price = 500;
		g_currentMission.husbandries.sheep.animalDesc.dailyUpkeep = 20;
		g_currentMission.husbandries.sheep.animalDesc.canBeBought = true;
		g_currentMission.husbandries.sheep.animalDesc.hasStatistics = true;
		g_currentMission.husbandries.sheep.animalDesc.imageFilename = self.modDirectory .. "store/store_sheep.png";
	end;
	
end;

--
-- LowerAnimalPrices: chiusura mappa
--
function LowerAnimalPrices:deleteMap()end;